Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Interface SSLSessionBindingListener

All Superinterfaces:
  EventListener

    public interface SSLSessionBindingListener

extends EventListener

This interface is implemented by objects which want to know when they are being bound or unbound from a SSLSession. When either event occurs via `SSLSession.putValue(String, Object)` or `SSLSession.removeValue(String)`, the event is communicated through a SSLSessionBindingEvent identifying the session.

Since:
  1.4
See Also:
  `SSLSession`, `SSLSessionBindingEvent`

Method Summary
`void` | `valueBound(SSLSessionBindingEvent event)` This is called to notify the listener that it is being bound into an SSLSession.
`void` | `valueUnbound(SSLSessionBindingEvent event)` This is called to notify the listener that it is being unbound from a SSLSession.

Method Detail

### valueBound

    void valueBound(SSLSessionBindingEvent event)

  This is called to notify the listener that it is being bound into an SSLSession.

  Parameters:
    `event` - the event identifying the SSLSession into which the listener is being bound.

### valueUnbound

    void valueUnbound(SSLSessionBindingEvent event)

  This is called to notify the listener that it is being unbound from a SSLSession.

  Parameters:
    `event` - the event identifying the SSLSession from which the listener is being unbound.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.